﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.00 - February 27, 2012
// Supported Devices: DT-X8, DT-X30, IT-300, IT-800
//
//////////////////////////////////////////////////////////////////////

using System;

using System.Collections.Generic;
using System.Text;
using Microsoft.WindowsCE.Forms;

// The CAB Installer will create a shortcut to launch this application 
// by special key combination [Fn] + [9].
namespace RotateScreen
{
    class Program
    {
        static void Main(string[] args)
        {
            ScreenOrientation currentOrientation = SystemSettings.ScreenOrientation;
            switch (currentOrientation)
            {
                case ScreenOrientation.Angle0:
                    SystemSettings.ScreenOrientation = ScreenOrientation.Angle90;
                    break;
                case ScreenOrientation.Angle90:
                    SystemSettings.ScreenOrientation = ScreenOrientation.Angle180;
                    break;
                case ScreenOrientation.Angle180:
                    SystemSettings.ScreenOrientation = ScreenOrientation.Angle270;
                    break;
                case ScreenOrientation.Angle270:
                    SystemSettings.ScreenOrientation = ScreenOrientation.Angle0;
                    break;
                default:
                    break;
            }
        }
    }
}
